Does the builder work with Safari

Asked by:
PeteZapasta / 13 Points
Time:
2012-03-19 5:15 pm EST
Category:
Premium Website Builder
Hits:
870
Sir/Madam:

Just tried to install your so called Premium Website Builder on my website (seeworthybirds) and learned it does not work with Safari...and I am really steamed.

Had previously looked all over your website and could find nothing on system requirements...which made me suspicious from the start.

When I talked to one of your guys in Sales, he informed me that I would have no trouble working with Freeway Express...although I wasn't sure he ever heard of this very popular web design software. I should add that I first tried to talk to one of your tech guys, but he promptly transferred me to sales...saying they could answer all of my questions.

Also, I was told by sales that I would have have no trouble working with a Mac...obviously this sales guy was unaware that Freeway is specifically tailored for the Mac...and Safari particularly.

I was trying to test your advertised feature that webpages could be edited from anywhere in the world...although you fail to mention only if you are using a specific browser. I've been trying to work this out because when I tried to reload your Builder (to see if I had the incompatibility issue right) I got a msg saying that it was already attached to my website...so I thought maybe it will work in Safari after all. But I can't figure it out.

If your software will work with Safari I'll be grafeful for some help...otherwise I want a refund.

To ask this user for more information, please first login.

To submit an answer, please login.

Best answer chosen by Web Hosting Hub staff

0

ChristiNi
Staff
13,688 Points
2012-03-20 8:05 am EST
Hello PeteZapasta,

I'm sorry for your frustration. I just wanted to clarify a couple of things about using the Premium Website Builder and Freeway Express. The builder is meant to be a tool you can access through your browser to create and publish your site. Any changes you want to make to your site would be done through the builder, not with a separate program like Freeway Express.

The developers of the builder have advised that the browsers compatible with the Premium Website Builder are:

Internet Explorer 5.5 and above
Firefox 1.0 and above

We understand this can be frustrating and understand becoming accustomed to a particular browser. There is a Firefox version for Mac and this is compatible with the Premium Website Builder.

If you're comfortable with Freeway Express, rather than learning a new software like the builder, you may want to continue creating and publishing your site with Freeway Express.

If you're having any trouble publishing from Freeway Express, please let us know, we'll be happy to help you with your publishing settings.

Regards,

Christi N.

To submit a comment on this answer, please first login.

Want to share this Question?

Related Articles

It looks like there are no related articles.
Would you like to ask a question about this page? If so, click the button below!

Help Center Search

Current Customers

Email: support@WebHostingHub.com Ticket: Submit a Support Ticket
Call: 877-595-4HUB (4482)
757-416-6627 (Intl.)
Chat: Click To Chat Now

Ask the Community

Get help with your questions from our community of like-minded hosting users and Web Hosting Hub Staff.

Not a Customer?

Get web hosting from a company that is here to help.